local batteryLevel = this.getBatteryLevel() -- Assuming this.getBatteryLevel() returns the battery percentage as a number.
local dateAndTime = os.date("%I:%M %p. %A, %d %b, %Y")
local s = "It is, " .. dateAndTime .. ", battery level is, " .. batteryLevel .. "%."

-- Remove leading zeros from single-digit battery levels (e.g., " 09%" to " 9%")
s = s:gsub("%s0(%d)", " %1") 

-- Remove any remaining leading zeros from the battery level (e.g., " 09%" to " 9%")
s = s:gsub(" 0", " ")  

this.speak(s)